# ki-frontend


Vue3 Projekt: 
## Project setup
```
npm ci
```

### Compiles and hot-reloads for development
```
VUE_APP_API_URL=localhost:8000 npm run serve
```

### Compiles and minifies for production
```
VUE_APP_API_URL=localhost:8000 npm run build
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).

Vorraussetzung: Node & NPM

### Enviroment Variable
VUE_APP_API_URL ist die Enviroment Variable mit der die Adresse der API übergeben wird


## Docker

### Image bauen

```
docker build --tag ki_frontend .
```


### Container starten

```
docker run \
    --name=ki_frontend \
    -e VUE_APP_API_URL=http://localhost:5000 \
    -p 8000:80 \
    ki_frontend
```
